/*-
 * ========================LICENSE_START=================================
 * O-RAN-SC
 * %%
 * Copyright (C) 2021 Nordix Foundation
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================LICENSE_END===================================
 */

package org.oran.dmaapadapter.exceptions;

import lombok.Getter;

import org.springframework.http.HttpStatus;

public class ServiceException extends Exception {

    private static final long serialVersionUID = 1L;

    @Getter
    private final HttpStatus httpStatus;

    public ServiceException(String message) {
        super(message);
        httpStatus = null;
    }

    public ServiceException(String message, Exception originalException) {
        super(message, originalException);
        httpStatus = null;
    }

    public ServiceException(String message, HttpStatus httpStatus) {
        super(message);
        this.httpStatus = httpStatus;
    }

}
